> For the complete documentation index, see [llms.txt](https://docs.xaman.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xaman.dev/concepts/getting-started.md).

# Getting started

Xaman allows developers and app users to "meet up".

While app users can simply use the Xaman application interact with the XRP Ledger with their accounts, balances and transactions, the true power of Xaman is unleashed through the platform available for developers.

This way users can interact with third party tools & platforms in the most secure and convenient way, while developers don't have to worry about wallet & key management.

## Concept

XRP Ledger transactions are traditionally user initiated: users open their wallet, enter the destination, amount, etc. and then you submit a transaction. This is referred to as a *Push Transaction*.

In retail / e-commerce & third party interaction scenarios, the ideal flow is inverted: a *Pull Transaction*. The third party environment wants the user to sign a specific transaction, and a transaction to sign is offered to the user.

This is where the Xaman platform comes in. An XRP Ledger *transaction template* can be delivered to the end user through the Xaman platform. This is called a Sign Request.

## Interaction

The most convenient way to interact with the Xaman platform is through the JavaScript/TypeScript SDK: [https://github.com/XRPL-Labs/Developer-Help-Center/blob/main/concepts/broken-reference/README.md](https://github.com/XRPL-Labs/Developer-Help-Center/blob/main/concepts/broken-reference/README.md "mention"). There are also some other SDKs available for **Backend** use in other languages:

| Language                    | Maintenance     | Package                                                                                                                          |
| --------------------------- | --------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| **Typescript / Javascript** | **XRPL Labs** ⭐ | [![npm version](https://badge.fury.io/js/xumm.svg)](https://www.npmjs.com/xumm) / [CDN](https://xumm.app/assets/cdn/xumm.min.js) |
| Python                      | Community       | [![python version](https://badge.fury.io/py/xumm-sdk-py.svg)](https://pypi.org/project/xumm-sdk-py/)                             |
| C# (.NET)                   | Community       | [![NuGet version](https://badge.fury.io/nu/XUMM.NET.SDK.svg)](https://badge.fury.io/nu/XUMM.NET.SDK)                             |
| PHP                         | Community       | [![Packagist PHP version](https://badgen.net/badge/PHP%20Package/8.1/green)](https://packagist.org/packages/xrpl/xumm-sdk-php)   |

The Xaman platform allows for easy integration in your application & workflow. Make sure to check the documentation for your environment:

<table data-card-size="large" data-column-title-hidden data-view="cards"><thead><tr><th data-card-target data-type="content-ref"></th><th data-hidden></th><th data-hidden></th><th data-hidden></th></tr></thead><tbody><tr><td><a href="/environments/browser-web3.md">Browser (&quot;Web3&quot;)</a></td><td></td><td></td><td></td></tr><tr><td><a href="/environments/xapps-dapps.md">xApps (&quot;dApps&quot;)</a></td><td></td><td></td><td></td></tr><tr><td><a href="/environments/backend-sdk-api.md">Backend (SDK / API)</a></td><td></td><td></td><td></td></tr><tr><td><a href="/environments/native-apps.md">Native Apps</a></td><td></td><td></td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xaman.dev/concepts/getting-started.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
